com.trendmicro.ds.platform.rest.object

## Enum TenantState

- java.lang.Object
- - java.lang.Enum<TenantState>
  - - com.trendmicro.ds.platform.rest.object.TenantState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TenantState>

      public enum TenantState
      extends java.lang.Enum<TenantState>

  Type of Tenant State.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE` Tenant is active.
    `CACHE_ACTIVATING` For cached tenant only.
    `CACHE_INITIALIZING` For cached tenant only.
    `CACHE_READY_FOR_USE` For cached tenant only.
    `CACHE_REQUIRES_INITIALIZATION` For cached tenant only.
    `CONFIRMATION_REQUIRED` Tenant email confirmation is required
    `CREATED` Tenant is created.
    `DB_UPGRADE_FAILURE` Tenant datatase upgrade failure.
    `PENDING_DELETION` Tenant is pending to be deleted.
    `SUSPENDED` Tenant is suspended.
    `UNDEFINED` Default type if it's not set.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TenantState` | `forValue(int value)`
    `static TenantState` | `fromString(java.lang.String key)`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `static TenantState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TenantState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final TenantState UNDEFINED

      Default type if it's not set.

    - #### CREATED

          public static final TenantState CREATED

      Tenant is created.

    - #### ACTIVE

          public static final TenantState ACTIVE

      Tenant is active.

    - #### SUSPENDED

          public static final TenantState SUSPENDED

      Tenant is suspended.

    - #### PENDING_DELETION

          public static final TenantState PENDING_DELETION

      Tenant is pending to be deleted.

    - #### DB_UPGRADE_FAILURE

          public static final TenantState DB_UPGRADE_FAILURE

      Tenant datatase upgrade failure.

    - #### CONFIRMATION_REQUIRED

          public static final TenantState CONFIRMATION_REQUIRED

      Tenant email confirmation is required

    - #### CACHE_REQUIRES_INITIALIZATION

          public static final TenantState CACHE_REQUIRES_INITIALIZATION

      For cached tenant only. Cached tenant requires initialization.

    - #### CACHE_INITIALIZING

          public static final TenantState CACHE_INITIALIZING

      For cached tenant only. Cached tenant is initializing.

    - #### CACHE_READY_FOR_USE

          public static final TenantState CACHE_READY_FOR_USE

      For cached tenant only. Cached tenant is ready for use.

    - #### CACHE_ACTIVATING

          public static final TenantState CACHE_ACTIVATING

      For cached tenant only. Cached tenant is activating.

  - ### Method Detail

    - #### values

          public static TenantState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TenantState c : TenantState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TenantState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getName

          public java.lang.String getName()

    - #### forValue

          public static TenantState forValue(int value)

    - #### fromString

          public static TenantState fromString(java.lang.String key)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.